Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020901
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2012-06-29 13:522012-07-02 11:29
ReportervmromanosView Statuspublic 
Assigned Toeduardo_Argal 
PriorityimmediateResolutionfixedFixed in Version3.0MP12.1
StatusclosedFix in branchFixed in SCM revision0a53d05f65c1
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date2012-05-09
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/47bed64aeb30a1220188509886091407b148e309 [^]
Triggers an Emergency PackNo
Summary

0020901: Build validation problem when upgrading from 2.50MP41 to 3.0MP12

DescriptionIf you try to upgrade from 2.50 to 3.0MP12 a build validation fails because the c_conversion_rate_document table does not exist yet.

See attachment
Steps To ReproduceFrom a 2.50 (any MP) try to upgrade to 3.0MP12 (3.0.16746)
Proposed SolutionDon't run the build validation in case the table does not exist
TagsNo tags attached.
Attached Filespng file icon upgrade.png [^] (80,116 bytes) 2012-06-29 13:52

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020142 closedmirurita In Exchange Rate tab, in Sales Invoice Window, it allows to enter more than one exchange rate for the same pair of currencies. 

-  Notes
(0050289)
hgbot (developer)
2012-06-29 16:53

Repository: erp/devel/pi
Changeset: 0a53d05f65c1e9c68b190016eadf59580c7682c0
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Fri Jun 29 16:53:13 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0a53d05f65c1e9c68b190016eadf59580c7682c0 [^]

Fixes bug 20901

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DuplicateDocExchangeRate.class
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DuplicateDocExchangeRateData.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/DuplicateDocExchangeRate.java
M src-util/buildvalidation/src/org/openbravo/buildvalidation/DuplicateDocExchangeRate_data.xsql
---
(0050306)
hudsonbot (developer)
2012-06-30 05:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ce760b148e29 [^]

Maturity status: Test
(0050310)
vmromanos (developer)
2012-07-02 11:29

Code review + testing OK.

- Issue History
Date Modified Username Field Change
2012-06-29 13:52 vmromanos New Issue
2012-06-29 13:52 vmromanos Assigned To => alostale
2012-06-29 13:52 vmromanos File Added: upgrade.png
2012-06-29 13:52 vmromanos Modules => Core
2012-06-29 14:01 vmromanos Relationship added related to 0020142
2012-06-29 14:03 vmromanos Regression date => 2012-05-09
2012-06-29 14:03 vmromanos Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/47bed64aeb30a1220188509886091407b148e309 [^]
2012-06-29 16:53 hgbot Checkin
2012-06-29 16:53 hgbot Note Added: 0050289
2012-06-29 16:53 hgbot Status new => resolved
2012-06-29 16:53 hgbot Resolution open => fixed
2012-06-29 16:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0a53d05f65c1e9c68b190016eadf59580c7682c0 [^]
2012-06-30 05:11 hudsonbot Checkin
2012-06-30 05:11 hudsonbot Note Added: 0050306
2012-07-02 11:10 shuehner Assigned To alostale => eduardo_Argal
2012-07-02 11:29 vmromanos Note Added: 0050310
2012-07-02 11:29 vmromanos Status resolved => closed
2012-07-02 11:29 vmromanos Fixed in Version => 3.0MP12.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker